## python-django-pgtrigger 4.11.0

=== Makefile ===
# Makefile for packaging and testing django-pgtrigger
#
# This Makefile has the following targets:
#
# setup - Sets up the development environment
# dependencies - Installs dependencies
# docs - Build documentation
# docs-serve - Serve documentation
# lint - Run code linting and static checks
# lint-fix - Fix common linting errors
# test - Run tests using pytest
# full-test-suite - Run full test suite using tox
# shell - Run a shell in a virtualenv
# docker-teardown - Spin down docker resources

OS = $(shell uname -s)

PACKAGE_NAME=django-pgtrigger
MODULE_NAME=pgtrigger
SHELL=bash
DATABASE_URL?=postgres://postgres:postgres@db:5432/postgres

ifeq (${OS}, Linux)
	DOCKER_CMD?=sudo docker
	DOCKER_RUN_ARGS?=-v /home:/home -v $(shell pwd):/code -e EXEC_WRAPPER="" -u "$(shell id -u):$(shell id -g)"  -v /etc/passwd:/etc/passwd
	# The user can be passed to docker exec commands in Linux.
	# For example, "make shell user=root" for access to apt-get commands
	user?=$(shell id -u)
	group?=$(shell id ${user} -u)
	EXEC_WRAPPER?=$(DOCKER_CMD) exec --user="$(user):$(group)" -it $(PACKAGE_NAME)
else ifeq (${OS}, Darwin)
	DOCKER_CMD?=docker
	DOCKER_RUN_ARGS?=-v ~/:/home/circleci -v $(shell pwd):/code -e EXEC_WRAPPER=""
	EXEC_WRAPPER?=$(DOCKER_CMD) exec -it $(PACKAGE_NAME)
endif

# Docker run mounts the local code directory, SSH (for git), and global git config information
DOCKER_RUN_CMD?=$(DOCKER_CMD)-compose run --name $(PACKAGE_NAME) $(DOCKER_RUN_ARGS) -d app


# Print usage of main targets when user types "make" or "make help"
.PHONY: help
help:
ifndef run
	@echo "Please choose one of the following targets: \n"\
	      "    docker-setup: Setup Docker development environment\n"\
	      "    conda-setup: Setup Conda development environment\n"\
	      "    lock: Lock dependencies\n"\
	      "    dependencies: Install dependencies\n"\
	      "    shell: Start a shell\n"\
	      "    test: Run tests\n"\
	      "    tox: Run tests against all versions of Python\n"\
	      "    lint: Run code linting and static checks\n"\
	      "    lint-fix: Fix common linting errors\n"\
	      "    docs: Build documentation\n"\
	      "    docs-serve: Serve documentation\n"\
	      "    docker-teardown: Spin down docker resources\n"\
	      "\n"\
	      "View the Makefile for more documentation"
	@exit 2
else
	$(EXEC_WRAPPER) $(run)
endif


# Pull the latest container and start a detached run
.PHONY: docker-start
docker-start:
	$(DOCKER_CMD)-compose pull
	$(DOCKER_RUN_CMD)


# Lock dependencies
.PHONY: lock
lock:
	$(EXEC_WRAPPER) poetry lock --no-update


# Install dependencies
.PHONY: dependencies
dependencies:
	mkdir -p .venv
	$(EXEC_WRAPPER) poetry install --no-ansi


.PHONY: multi-db-setup
multi-db-setup:
	-$(DOCKER_EXEC_WRAPPER) psql $(DATABASE_URL) -c "CREATE DATABASE ${MODULE_NAME}_local_other WITH TEMPLATE ${MODULE_NAME}_local"
	$(DOCKER_EXEC_WRAPPER) psql $(DATABASE_URL) -c "CREATE SCHEMA IF NOT EXISTS \"order\""
	$(DOCKER_EXEC_WRAPPER) psql $(DATABASE_URL) -c "CREATE SCHEMA IF NOT EXISTS receipt;"


# Set up git configuration
.PHONY: git-setup
git-setup:
	$(EXEC_WRAPPER) git tidy --template -o .gitcommit.tpl
	$(EXEC_WRAPPER) git config --local commit.template .gitcommit.tpl


# Sets up the local database
.PHONY: db-setup
db-setup:
	-psql postgres -c "CREATE USER postgres;"
	-psql postgres -c "ALTER USER postgres SUPERUSER;"
	-psql postgres -c "CREATE DATABASE ${MODULE_NAME}_local OWNER postgres;"
	-psql postgres -c "GRANT ALL PRIVILEGES ON DATABASE ${MODULE_NAME}_local to postgres;"
	$(EXEC_WRAPPER) python manage.py migrate


# Sets up a conda development environment
.PHONY: conda-create
conda-create:
	-conda env create -f environment.yml --force
	$(EXEC_WRAPPER) poetry config virtualenvs.create false --local


# Sets up a Conda development environment
.PHONY: conda-setup
conda-setup: EXEC_WRAPPER=conda run -n ${PACKAGE_NAME} --no-capture-output
conda-setup: conda-create lock dependencies git-setup db-setup


# Sets up a Docker development environment
.PHONY: docker-setup
docker-setup: docker-teardown docker-start lock dependencies git-setup


# Spin down docker resources
.PHONY: docker-teardown
docker-teardown:
	$(DOCKER_CMD)-compose down --remove-orphans


# Run a shell
.PHONY: shell
shell:
	$(EXEC_WRAPPER) /bin/bash


# Run pytest
.PHONY: test
test:
	$(EXEC_WRAPPER) pytest


# Run full test suite
.PHONY: full-test-suite
full-test-suite:
	$(EXEC_WRAPPER) tox


# Build documentation
.PHONY: docs
docs:
	$(EXEC_WRAPPER) mkdocs build


# Serve documentation
.PHONY: docs-serve
docs-serve:
	$(EXEC_WRAPPER) mkdocs serve


# Run code linting and static analysis. Ensure docs can be built
.PHONY: lint
lint:
	$(EXEC_WRAPPER) black . --check
	$(EXEC_WRAPPER) ruff check ${MODULE_NAME}
	$(EXEC_WRAPPER) footing update --check
	$(EXEC_WRAPPER) bash -c 'make docs'


# Fix common linting errors
.PHONY: lint-fix
lint-fix:
	$(EXEC_WRAPPER) black .
	$(EXEC_WRAPPER) ruff check ${MODULE_NAME} --fix


# Lint commit messages
.PHONY: tidy-lint
tidy-lint:
	$(EXEC_WRAPPER) git tidy-lint origin/master..


# Perform a tidy commit
.PHONY: tidy-commit
tidy-commit:
	$(EXEC_WRAPPER) git tidy-commit


# Perform a tidy squash
.PHONY: tidy-squash
tidy-squash:
	$(EXEC_WRAPPER) git tidy-squash origin/master

=== docs/requirements.txt ===
ansimarkup==2.0.0 ; python_full_version >= "3.8.0" and python_version < "4"
arrow==1.3.0 ; python_version >= "3.8" and python_version < "4"
asgiref==3.7.2 ; python_version >= "3.8" and python_version < "4"
babel==2.13.0 ; python_version >= "3.8" and python_version < "4"
backports-zoneinfo==0.2.1 ; python_version >= "3.8" and python_version < "3.9"
binaryornot==0.4.4 ; python_full_version >= "3.8.0" and python_version < "4"
black==23.9.1 ; python_version >= "3.8" and python_version < "4"
cachetools==5.3.1 ; python_version >= "3.8" and python_version < "4"
certifi==2023.7.22 ; python_version >= "3.8" and python_version < "4"
chardet==5.2.0 ; python_version >= "3.8" and python_version < "4"
charset-normalizer==3.3.0 ; python_version >= "3.8" and python_version < "4"
click==8.1.7 ; python_version >= "3.8" and python_version < "4"
colorama==0.4.6 ; python_version >= "3.8" and python_version < "4"
cookiecutter==1.7.3 ; python_full_version >= "3.8.0" and python_version < "4"
coverage[toml]==7.3.2 ; python_version >= "3.8" and python_version < "4"
distlib==0.3.7 ; python_version >= "3.8" and python_version < "4"
dj-database-url==2.1.0 ; python_full_version >= "3.8.0" and python_version < "4"
django-dynamic-fixture==4.0.1 ; python_full_version >= "3.8.0" and python_version < "4"
django-postgres-extra==2.0.4 ; python_full_version >= "3.8.0" and python_version < "4"
django==4.2.6 ; python_version >= "3.8" and python_version < "4"
exceptiongroup==1.1.3 ; python_full_version >= "3.8.0" and python_version < "3.11"
filelock==3.12.4 ; python_version >= "3.8" and python_version < "4"
footing==0.1.4 ; python_full_version >= "3.8.0" and python_version < "4"
formaldict==1.0.5 ; python_full_version >= "3.8.0" and python_version < "4"
ghp-import==2.1.0 ; python_version >= "3.8" and python_version < "4"
git-tidy==1.2.0 ; python_full_version >= "3.8.0" and python_version < "4"
griffe==0.36.5 ; python_version >= "3.8" and python_version < "4"
idna==3.4 ; python_version >= "3.8" and python_version < "4"
importlib-metadata==6.8.0 ; python_version >= "3.8" and python_version < "3.10"
iniconfig==2.0.0 ; python_full_version >= "3.8.0" and python_version < "4"
jinja2-time==0.2.0 ; python_full_version >= "3.8.0" and python_version < "4"
jinja2==3.1.2 ; python_version >= "3.8" and python_version < "4"
kmatch==0.5.0 ; python_full_version >= "3.8.0" and python_version < "4"
markdown==3.5 ; python_version >= "3.8" and python_version < "4"
markupsafe==2.1.3 ; python_version >= "3.8" and python_version < "4"
mergedeep==1.3.4 ; python_version >= "3.8" and python_version < "4"
mkdocs-autorefs==0.5.0 ; python_version >= "3.8" and python_version < "4"
mkdocs-material-extensions==1.2 ; python_version >= "3.8" and python_version < "4"
mkdocs-material==9.4.4 ; python_version >= "3.8" and python_version < "4"
mkdocs==1.5.3 ; python_version >= "3.8" and python_version < "4"
mkdocstrings-python==1.7.2 ; python_version >= "3.8" and python_version < "4"
mkdocstrings==0.23.0 ; python_version >= "3.8" and python_version < "4"
mypy-extensions==1.0.0 ; python_version >= "3.8" and python_version < "4"
packaging==23.2 ; python_version >= "3.8" and python_version < "4"
paginate==0.5.6 ; python_version >= "3.8" and python_version < "4"
pathspec==0.11.2 ; python_version >= "3.8" and python_version < "4"
platformdirs==3.11.0 ; python_version >= "3.8" and python_version < "4"
pluggy==1.3.0 ; python_version >= "3.8" and python_version < "4"
poetry-core==1.7.0 ; python_version >= "3.8" and python_version < "4.0"
poyo==0.5.0 ; python_full_version >= "3.8.0" and python_version < "4"
prompt-toolkit==3.0.39 ; python_full_version >= "3.8.0" and python_version < "4"
psycopg2-binary==2.9.9 ; python_full_version >= "3.8.0" and python_version < "4"
pygments==2.16.1 ; python_version >= "3.8" and python_version < "4"
pymdown-extensions==10.3 ; python_version >= "3.8" and python_version < "4"
pyproject-api==1.6.1 ; python_version >= "3.8" and python_version < "4"
pytest-cov==4.1.0 ; python_full_version >= "3.8.0" and python_version < "4"
pytest-django==4.5.2 ; python_full_version >= "3.8.0" and python_version < "4"
pytest-dotenv==0.5.2 ; python_full_version >= "3.8.0" and python_version < "4"
pytest-mock==3.6.1 ; python_full_version >= "3.8.0" and python_version < "4"
pytest-order==1.1.0 ; python_full_version >= "3.8.0" and python_version < "4"
pytest==7.4.2 ; python_full_version >= "3.8.0" and python_version < "4"
python-dateutil==2.8.2 ; python_version >= "3.8" and python_version < "4"
python-dotenv==1.0.0 ; python_version >= "3.8" and python_version < "4"
python-gitlab==3.15.0 ; python_full_version >= "3.8.0" and python_version < "4"
python-slugify==8.0.1 ; python_full_version >= "3.8.0" and python_version < "4"
pytz==2023.3.post1 ; python_version >= "3.8" and python_version < "3.9"
pyyaml-env-tag==0.1 ; python_version >= "3.8" and python_version < "4"
pyyaml==6.0.1 ; python_version >= "3.8" and python_version < "4"
regex==2023.10.3 ; python_version >= "3.8" and python_version < "4"
requests-file==1.5.1 ; python_full_version >= "3.8.0" and python_version < "4"
requests-toolbelt==1.0.0 ; python_full_version >= "3.8.0" and python_version < "4"
requests==2.31.0 ; python_version >= "3.8" and python_version < "4"
ruff==0.0.292 ; python_full_version >= "3.8.0" and python_version < "4"
setuptools==68.2.2 ; python_version >= "3.8" and python_version < "4"
six==1.16.0 ; python_version >= "3.8" and python_version < "4"
sqlparse==0.4.4 ; python_version >= "3.8" and python_version < "4"
text-unidecode==1.3 ; python_full_version >= "3.8.0" and python_version < "4"
tldextract==3.6.0 ; python_full_version >= "3.8.0" and python_version < "4"
tomli==2.0.1 ; python_version >= "3.8" and python_full_version <= "3.11.0a6"
tox==4.11.3 ; python_version >= "3.8" and python_version < "4"
types-python-dateutil==2.8.19.14 ; python_version >= "3.8" and python_version < "4"
typing-extensions==4.8.0 ; python_version >= "3.8" and python_version < "4"
tzdata==2023.3 ; python_version >= "3.8" and python_version < "4" and sys_platform == "win32"
urllib3==2.0.6 ; python_version >= "3.8" and python_version < "4"
virtualenv==20.24.5 ; python_version >= "3.8" and python_version < "4"
watchdog==3.0.0 ; python_version >= "3.8" and python_version < "4"
wcwidth==0.2.8 ; python_full_version >= "3.8.0" and python_version < "4"
zipp==3.17.0 ; python_version >= "3.8" and python_version < "3.10"
.

=== debian/changelog ===
python-django-pgtrigger (4.11.0-1) unstable; urgency=low

  * New upstream version 4.11.0
  * Refresh patches.

 -- Michael Fladischer <fladi@debian.org>  Thu, 25 Jan 2024 09:41:27 +0000

python-django-pgtrigger (4.8.0-1) unstable; urgency=low

  * New upstream version 4.8.0
  * Build documentation using mkdocs.
  * Refresh patches.
  * Add patch to replace remote objects.inv URLs with local paths.
  * Call mkdocs after dh_auto_install.
  * Build documentation in place.
  * New name for README.md.
  * Add python3-python-installer-doc to Build-Depends, required by mkdocs
    mapping.
  * Update year in d/copyright.
  * Remove remote fonts from documentation to prevent privacy breaches.

 -- Michael Fladischer <fladi@debian.org>  Thu, 25 Jan 2024 08:43:39 +0000

python-django-pgtrigger (4.7.0-1) unstable; urgency=low

  * Initial release (Closes: #1049917).

 -- Michael Fladischer <fladi@debian.org>  Sun, 20 Aug 2023 14:12:21 +0000

=== debian/control ===
Source: python-django-pgtrigger
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 mkdocs,
 mkdocs-material,
 mkdocstrings,
 mkdocstrings-python-handlers,
 pybuild-plugin-pyproject,
 python-installer-doc,
 python3-all,
 python3-dj-database-url,
 python3-django,
 python3-django-postgres-extra,
 python3-doc,
 python3-myst-parser,
 python3-poetry-core,
 python3-psycopg2,
 python3-pymdownx,
Standards-Version: 4.6.2
Homepage: https://github.com/Opus10/django-pgtrigger
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-pgtrigger
Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-pgtrigger.git
Rules-Requires-Root: no

Package: python-django-pgtrigger-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Write Postgres triggers for your Django models (Documentation)
 django-pgtrigger helps you write Postgres triggers for your Django models.
 Triggers can solve a variety of complex problems more reliably, performantly,
 and succinctly than application code.
 .
 For example:
  * Protecting operations on rows or columns (pgtrigger.Protect).
  * Making read-only models or fields (pgtrigger.ReadOnly).
  * Soft-deleting models (pgtrigger.SoftDelete).
  * Snapshotting and tracking model changes (django-pghistory).
  * Enforcing field transitions (pgtrigger.FSM).
  * Keeping a search vector updated for full-text search
    (pgtrigger.UpdateSearchVector).
  * Building official interfaces (e.g. enforcing use of User.objects.create_user
    and not User.objects.create).
  * Versioning models, mirroring fields, computing unique model hashes.
 .
 This package contains the documentation.

Package: python3-django-pgtrigger
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-django-pgtrigger-doc,
Description: Write Postgres triggers for your Django models (Python3 version)
 django-pgtrigger helps you write Postgres triggers for your Django models.
 Triggers can solve a variety of complex problems more reliably, performantly,
 and succinctly than application code.
 .
 For example:
  * Protecting operations on rows or columns (pgtrigger.Protect).
  * Making read-only models or fields (pgtrigger.ReadOnly).
  * Soft-deleting models (pgtrigger.SoftDelete).
  * Snapshotting and tracking model changes (django-pghistory).
  * Enforcing field transitions (pgtrigger.FSM).
  * Keeping a search vector updated for full-text search
    (pgtrigger.UpdateSearchVector).
  * Building official interfaces (e.g. enforcing use of User.objects.create_user
    and not User.objects.create).
  * Versioning models, mirroring fields, computing unique model hashes.
 .
 This package contains the Python 3 version of the library.

=== debian/tests/control ===
Tests: upstream
Depends:
 postgresql,
 python3-all,
 python3-dj-database-url,
 python3-django-dynamic-fixture,
 python3-django-postgres-extra,
 python3-psycopg2,
 python3-pytest,
 python3-pytest-django,
 python3-pytest-mock,
 python3-pytest-order,
 @,
 @builddeps@,
Restrictions: needs-root,isolation-container,allow-stderr

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/([\d\.]+.*)$/python-django-pgtrigger-$1/ \
https://github.com/Opus10/django-pgtrigger/tags \
/Opus10/django-pgtrigger/archive/refs/tags/([\d\.]+)\.tar\.gz

## python-django-pgtrigger 4.11.1

=== debian/changelog ===
python-django-pgtrigger (4.11.1-1) unstable; urgency=low

  * New upstream version 4.11.1
  * Refresh patches.
  * Use dh-sequence-python3.
  * Bump Standards-Version to 4.7.0.

 -- Michael Fladischer <fladi@debian.org>  Thu, 18 Jul 2024 21:58:55 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  mkdocs,
  mkdocs-material,
  mkdocstrings,
@@ -22,7 +22,7 @@
  python3-poetry-core,
  python3-psycopg2,
  python3-pymdownx,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/Opus10/django-pgtrigger
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-pgtrigger
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-pgtrigger.git

## python-django-pgtrigger 4.12.2

=== Makefile ===
--- 
+++ 
@@ -8,6 +8,7 @@
 # docs-serve - Serve documentation
 # lint - Run code linting and static checks
 # lint-fix - Fix common linting errors
+# type-check - Run Pyright type-checking
 # test - Run tests using pytest
 # full-test-suite - Run full test suite using tox
 # shell - Run a shell in a virtualenv
@@ -35,8 +36,7 @@
 endif
 
 # Docker run mounts the local code directory, SSH (for git), and global git config information
-DOCKER_RUN_CMD?=$(DOCKER_CMD)-compose run --name $(PACKAGE_NAME) $(DOCKER_RUN_ARGS) -d app
-
+DOCKER_RUN_CMD?=$(DOCKER_CMD) compose run --name $(PACKAGE_NAME) $(DOCKER_RUN_ARGS) -d app
 
 # Print usage of main targets when user types "make" or "make help"
 .PHONY: help
@@ -52,6 +52,7 @@
 	      "    tox: Run tests against all versions of Python\n"\
 	      "    lint: Run code linting and static checks\n"\
 	      "    lint-fix: Fix common linting errors\n"\
+	      "    type-check: Run Pyright type-checking\n"\
 	      "    docs: Build documentation\n"\
 	      "    docs-serve: Serve documentation\n"\
 	      "    docker-teardown: Spin down docker resources\n"\
@@ -66,7 +67,7 @@
 # Pull the latest container and start a detached run
 .PHONY: docker-start
 docker-start:
-	$(DOCKER_CMD)-compose pull
+	$(DOCKER_CMD) compose pull
 	$(DOCKER_RUN_CMD)
 
 
@@ -74,6 +75,7 @@
 .PHONY: lock
 lock:
 	$(EXEC_WRAPPER) poetry lock --no-update
+	$(EXEC_WRAPPER) poetry export --with dev --without-hashes -f requirements.txt > docs/requirements.txt
 
 
 # Install dependencies
@@ -88,13 +90,6 @@
 	-$(DOCKER_EXEC_WRAPPER) psql $(DATABASE_URL) -c "CREATE DATABASE ${MODULE_NAME}_local_other WITH TEMPLATE ${MODULE_NAME}_local"
 	$(DOCKER_EXEC_WRAPPER) psql $(DATABASE_URL) -c "CREATE SCHEMA IF NOT EXISTS \"order\""
 	$(DOCKER_EXEC_WRAPPER) psql $(DATABASE_URL) -c "CREATE SCHEMA IF NOT EXISTS receipt;"
-
-
-# Set up git configuration
-.PHONY: git-setup
-git-setup:
-	$(EXEC_WRAPPER) git tidy --template -o .gitcommit.tpl
-	$(EXEC_WRAPPER) git config --local commit.template .gitcommit.tpl
 
 
 # Sets up the local database
@@ -117,18 +112,18 @@
 # Sets up a Conda development environment
 .PHONY: conda-setup
 conda-setup: EXEC_WRAPPER=conda run -n ${PACKAGE_NAME} --no-capture-output
-conda-setup: conda-create lock dependencies git-setup db-setup
+conda-setup: conda-create lock dependencies db-setup
 
 
 # Sets up a Docker development environment
 .PHONY: docker-setup
-docker-setup: docker-teardown docker-start lock dependencies git-setup
+docker-setup: docker-teardown docker-start lock dependencies
 
 
 # Spin down docker resources
 .PHONY: docker-teardown
 docker-teardown:
-	$(DOCKER_CMD)-compose down --remove-orphans
+	$(DOCKER_CMD) compose down --remove-orphans
 
 
 # Run a shell
@@ -152,7 +147,7 @@
 # Build documentation
 .PHONY: docs
 docs:
-	$(EXEC_WRAPPER) mkdocs build
+	$(EXEC_WRAPPER) mkdocs build -s
 
 
 # Serve documentation
@@ -164,32 +159,20 @@
 # Run code linting and static analysis. Ensure docs can be built
 .PHONY: lint
 lint:
-	$(EXEC_WRAPPER) black . --check
+	$(EXEC_WRAPPER) ruff format . --check
 	$(EXEC_WRAPPER) ruff check ${MODULE_NAME}
-	$(EXEC_WRAPPER) footing update --check
 	$(EXEC_WRAPPER) bash -c 'make docs'
+	$(EXEC_WRAPPER) diff <(poetry export --with dev --without-hashes -f requirements.txt) docs/requirements.txt >/dev/null 2>&1 || exit 1
 
 
 # Fix common linting errors
 .PHONY: lint-fix
 lint-fix:
-	$(EXEC_WRAPPER) black .
+	$(EXEC_WRAPPER) ruff format .
 	$(EXEC_WRAPPER) ruff check ${MODULE_NAME} --fix
 
 
-# Lint commit messages
-.PHONY: tidy-lint
-tidy-lint:
-	$(EXEC_WRAPPER) git tidy-lint origin/master..
-
-
-# Perform a tidy commit
-.PHONY: tidy-commit
-tidy-commit:
-	$(EXEC_WRAPPER) git tidy-commit
-
-
-# Perform a tidy squash
-.PHONY: tidy-squash
-tidy-squash:
-	$(EXEC_WRAPPER) git tidy-squash origin/master
+# Run Pyright type-checking
+.PHONY: type-check
+type-check:
+	$(EXEC_WRAPPER) pyright $(MODULE_NAME)

=== docs/requirements.txt ===
ansimarkup==2.0.0 ; python_full_version >= "3.8.0" and python_version < "4"
arrow==1.3.0 ; python_version >= "3.8" and python_version < "4"
asgiref==3.7.2 ; python_version >= "3.8" and python_version < "4"
astunparse==1.6.3 ; python_version >= "3.8" and python_version < "3.9"
babel==2.13.0 ; python_version >= "3.8" and python_version < "4"
backports-zoneinfo==0.2.1 ; python_version >= "3.8" and python_version < "3.9"
binaryornot==0.4.4 ; python_full_version >= "3.8.0" and python_version < "4"
black==24.8.0 ; python_version >= "3.8" and python_version < "4"
cachetools==5.5.0 ; python_version >= "3.8" and python_version < "4"
certifi==2023.7.22 ; python_version >= "3.8" and python_version < "4"
chardet==5.2.0 ; python_version >= "3.8" and python_version < "4"
charset-normalizer==3.3.0 ; python_version >= "3.8" and python_version < "4"
click==8.1.7 ; python_version >= "3.8" and python_version < "4"
colorama==0.4.6 ; python_version >= "3.8" and python_version < "4"
cookiecutter==1.7.3 ; python_full_version >= "3.8.0" and python_version < "4"
coverage[toml]==7.3.2 ; python_version >= "3.8" and python_version < "4"
distlib==0.3.7 ; python_version >= "3.8" and python_version < "4"
dj-database-url==2.2.0 ; python_full_version >= "3.8.0" and python_version < "4"
django-dynamic-fixture==4.0.1 ; python_full_version >= "3.8.0" and python_version < "4"
django-postgres-extra==2.0.4 ; python_full_version >= "3.8.0" and python_version < "4"
django-stubs-ext==5.0.4 ; python_version >= "3.8" and python_version < "4"
django-stubs==5.0.4 ; python_version >= "3.8" and python_version < "4"
django==4.2.6 ; python_version >= "3.8" and python_version < "4"
exceptiongroup==1.1.3 ; python_version >= "3.8" and python_version < "3.11"
filelock==3.15.4 ; python_version >= "3.8" and python_version < "4"
footing==0.1.4 ; python_full_version >= "3.8.0" and python_version < "4"
ghp-import==2.1.0 ; python_version >= "3.8" and python_version < "4"
griffe==1.2.0 ; python_version >= "3.8" and python_version < "4"
idna==3.4 ; python_version >= "3.8" and python_version < "4"
importlib-metadata==6.8.0 ; python_version >= "3.8" and python_version < "3.10"
iniconfig==2.0.0 ; python_version >= "3.8" and python_version < "4"
jinja2-time==0.2.0 ; python_full_version >= "3.8.0" and python_version < "4"
jinja2==3.1.2 ; python_version >= "3.8" and python_version < "4"
markdown==3.5 ; python_version >= "3.8" and python_version < "4"
markupsafe==2.1.3 ; python_version >= "3.8" and python_version < "4"
mergedeep==1.3.4 ; python_version >= "3.8" and python_version < "4"
mkdocs-autorefs==0.5.0 ; python_version >= "3.8" and python_version < "4"
mkdocs-get-deps==0.2.0 ; python_version >= "3.8" and python_version < "4"
mkdocs-material-extensions==1.3.1 ; python_version >= "3.8" and python_version < "4"
mkdocs-material==9.5.33 ; python_version >= "3.8" and python_version < "4"
mkdocs==1.6.0 ; python_version >= "3.8" and python_version < "4"
mkdocstrings-python==1.10.8 ; python_version >= "3.8" and python_version < "4"
mkdocstrings==0.25.2 ; python_version >= "3.8" and python_version < "4"
mypy-extensions==1.0.0 ; python_version >= "3.8" and python_version < "4"
nodeenv==1.8.0 ; python_full_version >= "3.8.0" and python_version < "4"
packaging==24.1 ; python_version >= "3.8" and python_version < "4"
paginate==0.5.6 ; python_version >= "3.8" and python_version < "4"
pathspec==0.11.2 ; python_version >= "3.8" and python_version < "4"
platformdirs==4.2.2 ; python_version >= "3.8" and python_version < "4"
pluggy==1.5.0 ; python_version >= "3.8" and python_version < "4"
poetry-core==1.7.0 ; python_version >= "3.8" and python_version < "4.0"
poyo==0.5.0 ; python_full_version >= "3.8.0" and python_version < "4"
psycopg2-binary==2.9.9 ; python_full_version >= "3.8.0" and python_version < "4"
pygments==2.16.1 ; python_version >= "3.8" and python_version < "4"
pymdown-extensions==10.3 ; python_version >= "3.8" and python_version < "4"
pyproject-api==1.7.1 ; python_version >= "3.8" and python_version < "4"
pyright==1.1.377 ; python_full_version >= "3.8.0" and python_version < "4"
pytest-cov==5.0.0 ; python_version >= "3.8" and python_version < "4"
pytest-django==4.8.0 ; python_version >= "3.8" and python_version < "4"
pytest-dotenv==0.5.2 ; python_full_version >= "3.8.0" and python_version < "4"
pytest-mock==3.14.0 ; python_version >= "3.8" and python_version < "4"
pytest-order==1.1.0 ; python_full_version >= "3.8.0" and python_version < "4"
pytest==8.3.2 ; python_version >= "3.8" and python_version < "4"
python-dateutil==2.8.2 ; python_version >= "3.8" and python_version < "4"
python-dotenv==1.0.0 ; python_version >= "3.8" and python_version < "4"
python-gitlab==3.15.0 ; python_full_version >= "3.8.0" and python_version < "4"
python-slugify==8.0.1 ; python_full_version >= "3.8.0" and python_version < "4"
pytz==2023.3.post1 ; python_version >= "3.8" and python_version < "3.9"
pyyaml-env-tag==0.1 ; python_version >= "3.8" and python_version < "4"
pyyaml==6.0.1 ; python_version >= "3.8" and python_version < "4"
regex==2023.10.3 ; python_version >= "3.8" and python_version < "4"
requests-file==1.5.1 ; python_full_version >= "3.8.0" and python_version < "4"
requests-toolbelt==1.0.0 ; python_full_version >= "3.8.0" and python_version < "4"
requests==2.31.0 ; python_version >= "3.8" and python_version < "4"
ruff==0.6.2 ; python_full_version >= "3.8.0" and python_version < "4"
setuptools==68.2.2 ; python_version >= "3.8" and python_version < "4"
six==1.16.0 ; python_version >= "3.8" and python_version < "4"
sqlparse==0.4.4 ; python_version >= "3.8" and python_version < "4"
text-unidecode==1.3 ; python_full_version >= "3.8.0" and python_version < "4"
tldextract==3.6.0 ; python_full_version >= "3.8.0" and python_version < "4"
tomli==2.0.1 ; python_version >= "3.8" and python_full_version <= "3.11.0a6"
tox==4.18.0 ; python_version >= "3.8" and python_version < "4"
types-python-dateutil==2.8.19.14 ; python_version >= "3.8" and python_version < "4"
types-pyyaml==6.0.12.20240311 ; python_version >= "3.8" and python_version < "4"
typing-extensions==4.12.2 ; python_version >= "3.8" and python_version < "4"
tzdata==2023.3 ; python_version >= "3.8" and python_version < "4" and sys_platform == "win32"
urllib3==2.0.6 ; python_version >= "3.8" and python_version < "4"
virtualenv==20.26.3 ; python_version >= "3.8" and python_version < "4"
watchdog==3.0.0 ; python_version >= "3.8" and python_version < "4"
wheel==0.43.0 ; python_version >= "3.8" and python_version < "3.9"
zipp==3.17.0 ; python_version >= "3.8" and python_version < "3.10"

=== debian/changelog ===
python-django-pgtrigger (4.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Fri, 01 Nov 2024 00:36:11 +0000

python-django-pgtrigger (4.12.1-1) unstable; urgency=low

  * New upstream version 4.12.1
  * Refresh patches.

 -- Michael Fladischer <fladi@debian.org>  Wed, 11 Sep 2024 15:30:30 +0000

## python-django-pgtrigger 4.13.0

=== debian/changelog ===
python-django-pgtrigger (4.13.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Tue, 05 Nov 2024 18:20:47 +0000

## python-django-pgtrigger 4.13.2

=== debian/changelog ===
python-django-pgtrigger (4.13.2-2) unstable; urgency=medium

  * Team upload.
  * (Build-)depend on python3-django (>= 3:4.0); this package fails its
    tests with the version in bookworm, and needs at least the one in
    bookworm-backports.

 -- Colin Watson <cjwatson@debian.org>  Tue, 04 Feb 2025 14:18:11 +0000

python-django-pgtrigger (4.13.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Thu, 21 Nov 2024 12:29:05 +0000

python-django-pgtrigger (4.13.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Wed, 13 Nov 2024 08:40:40 +0000

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  python-installer-doc,
  python3-all,
  python3-dj-database-url,
- python3-django,
+ python3-django (>= 3:4.0),
  python3-django-postgres-extra,
  python3-doc,
  python3-myst-parser,

## python-django-pgtrigger 4.13.3

=== docs/requirements.txt ===
ansimarkup==2.0.0 ; python_full_version >= "3.9.0" and python_version < "4"
arrow==1.3.0 ; python_full_version >= "3.9.0" and python_version < "4"
asgiref==3.7.2 ; python_full_version >= "3.9.0" and python_version < "4"
babel==2.13.0 ; python_full_version >= "3.9.0" and python_version < "4"
binaryornot==0.4.4 ; python_full_version >= "3.9.0" and python_version < "4"
black==24.10.0 ; python_version >= "3.9" and python_version < "4"
build==1.2.2.post1 ; python_full_version >= "3.9.0" and python_version < "4.0"
cachecontrol[filecache]==0.14.0 ; python_full_version >= "3.9.0" and python_version < "4.0"
cachetools==5.5.0 ; python_full_version >= "3.9.0" and python_version < "4"
certifi==2023.7.22 ; python_full_version >= "3.9.0" and python_version < "4"
cffi==1.17.1 ; python_full_version >= "3.9.0" and python_version < "4.0" and (sys_platform == "darwin" or sys_platform == "linux") and (sys_platform == "darwin" or platform_python_implementation != "PyPy")
chardet==5.2.0 ; python_full_version >= "3.9.0" and python_version < "4"
charset-normalizer==3.3.0 ; python_full_version >= "3.9.0" and python_version < "4"
cleo==2.1.0 ; python_full_version >= "3.9.0" and python_version < "4.0"
click==8.1.7 ; python_version >= "3.9" and python_version < "4"
colorama==0.4.6 ; python_version >= "3.9" and python_version < "4"
cookiecutter==1.7.3 ; python_full_version >= "3.9.0" and python_version < "4"
coverage[toml]==7.3.2 ; python_full_version >= "3.9.0" and python_version < "4"
crashtest==0.4.1 ; python_full_version >= "3.9.0" and python_version < "4.0"
cryptography==43.0.3 ; python_full_version >= "3.9.0" and python_version < "4.0" and sys_platform == "linux"
distlib==0.3.7 ; python_full_version >= "3.9.0" and python_version < "4"
dj-database-url==2.3.0 ; python_full_version >= "3.9.0" and python_version < "4"
django-dynamic-fixture==4.0.1 ; python_full_version >= "3.9.0" and python_version < "4"
django-postgres-extra==2.0.4 ; python_full_version >= "3.9.0" and python_version < "4"
django-stubs-ext==5.1.1 ; python_full_version >= "3.9.0" and python_version < "4"
django-stubs==5.1.1 ; python_full_version >= "3.9.0" and python_version < "4"
django==4.2.6 ; python_full_version >= "3.9.0" and python_version < "4"
dulwich==0.21.7 ; python_full_version >= "3.9.0" and python_version < "4.0"
exceptiongroup==1.1.3 ; python_full_version >= "3.9.0" and python_version < "3.11"
fastjsonschema==2.20.0 ; python_full_version >= "3.9.0" and python_version < "4.0"
filelock==3.16.1 ; python_full_version >= "3.9.0" and python_version < "4"
footing==0.1.4 ; python_full_version >= "3.9.0" and python_version < "4"
ghp-import==2.1.0 ; python_version >= "3.9" and python_version < "4"
griffe==1.2.0 ; python_version >= "3.9" and python_version < "4"
idna==3.4 ; python_full_version >= "3.9.0" and python_version < "4"
importlib-metadata==6.8.0 ; python_version >= "3.9" and python_version < "3.12"
iniconfig==2.0.0 ; python_full_version >= "3.9.0" and python_version < "4"
installer==0.7.0 ; python_full_version >= "3.9.0" and python_version < "4.0"
jaraco-classes==3.4.0 ; python_full_version >= "3.9.0" and python_version < "4.0"
jeepney==0.8.0 ; python_full_version >= "3.9.0" and python_version < "4.0" and sys_platform == "linux"
jinja2-time==0.2.0 ; python_full_version >= "3.9.0" and python_version < "4"
jinja2==3.1.2 ; python_version >= "3.9" and python_version < "4"
keyring==24.3.1 ; python_full_version >= "3.9.0" and python_version < "4.0"
markdown==3.7 ; python_version >= "3.9" and python_version < "4"
markupsafe==2.1.3 ; python_version >= "3.9" and python_version < "4"
mergedeep==1.3.4 ; python_version >= "3.9" and python_version < "4"
mkdocs-autorefs==1.2.0 ; python_version >= "3.9" and python_version < "4"
mkdocs-get-deps==0.2.0 ; python_version >= "3.9" and python_version < "4"
mkdocs-material-extensions==1.3.1 ; python_full_version >= "3.9.0" and python_version < "4"
mkdocs-material==9.5.42 ; python_full_version >= "3.9.0" and python_version < "4"
mkdocs==1.6.1 ; python_version >= "3.9" and python_version < "4"
mkdocstrings-python==1.12.2 ; python_version >= "3.9" and python_version < "4"
mkdocstrings==0.26.2 ; python_version >= "3.9" and python_version < "4"
more-itertools==10.5.0 ; python_full_version >= "3.9.0" and python_version < "4.0"
msgpack==1.1.0 ; python_full_version >= "3.9.0" and python_version < "4.0"
mypy-extensions==1.0.0 ; python_version >= "3.9" and python_version < "4"
nodeenv==1.8.0 ; python_full_version >= "3.9.0" and python_version < "4"
packaging==24.1 ; python_version >= "3.9" and python_version < "4"
paginate==0.5.6 ; python_full_version >= "3.9.0" and python_version < "4"
pathspec==0.11.2 ; python_version >= "3.9" and python_version < "4"
pexpect==4.9.0 ; python_full_version >= "3.9.0" and python_version < "4.0"
pkginfo==1.11.2 ; python_full_version >= "3.9.0" and python_version < "4.0"
platformdirs==4.3.6 ; python_version >= "3.9" and python_version < "4"
pluggy==1.5.0 ; python_full_version >= "3.9.0" and python_version < "4"
poetry-core==1.9.1 ; python_full_version >= "3.9.0" and python_version < "4.0"
poetry-plugin-export==1.8.0 ; python_full_version >= "3.9.0" and python_version < "4.0"
poetry==1.8.4 ; python_full_version >= "3.9.0" and python_version < "4.0"
poyo==0.5.0 ; python_full_version >= "3.9.0" and python_version < "4"
psycopg2-binary==2.9.10 ; python_full_version >= "3.9.0" and python_version < "4"
ptyprocess==0.7.0 ; python_full_version >= "3.9.0" and python_version < "4.0"
pycparser==2.22 ; python_full_version >= "3.9.0" and python_version < "4.0" and (sys_platform == "darwin" or sys_platform == "linux") and (sys_platform == "darwin" or platform_python_implementation != "PyPy")
pygments==2.16.1 ; python_full_version >= "3.9.0" and python_version < "4"
pymdown-extensions==10.3 ; python_version >= "3.9" and python_version < "4"
pyproject-api==1.8.0 ; python_full_version >= "3.9.0" and python_version < "4"
pyproject-hooks==1.2.0 ; python_full_version >= "3.9.0" and python_version < "4.0"
pyright==1.1.386 ; python_full_version >= "3.9.0" and python_version < "4"
pytest-cov==5.0.0 ; python_full_version >= "3.9.0" and python_version < "4"
pytest-django==4.9.0 ; python_full_version >= "3.9.0" and python_version < "4"
pytest-dotenv==0.5.2 ; python_full_version >= "3.9.0" and python_version < "4"
pytest-mock==3.14.0 ; python_full_version >= "3.9.0" and python_version < "4"
pytest-order==1.1.0 ; python_full_version >= "3.9.0" and python_version < "4"
pytest==8.3.3 ; python_full_version >= "3.9.0" and python_version < "4"
python-dateutil==2.8.2 ; python_version >= "3.9" and python_version < "4"
python-dotenv==1.0.0 ; python_full_version >= "3.9.0" and python_version < "4"
python-gitlab==3.15.0 ; python_full_version >= "3.9.0" and python_version < "4"
python-slugify==8.0.1 ; python_full_version >= "3.9.0" and python_version < "4"
pywin32-ctypes==0.2.3 ; python_full_version >= "3.9.0" and python_version < "4.0" and sys_platform == "win32"
pyyaml-env-tag==0.1 ; python_version >= "3.9" and python_version < "4"
pyyaml==6.0.1 ; python_version >= "3.9" and python_version < "4"
rapidfuzz==3.10.1 ; python_version >= "3.9" and python_version < "4.0"
regex==2023.10.3 ; python_full_version >= "3.9.0" and python_version < "4"
requests-file==1.5.1 ; python_full_version >= "3.9.0" and python_version < "4"
requests-toolbelt==1.0.0 ; python_full_version >= "3.9.0" and python_version < "4"
requests==2.31.0 ; python_full_version >= "3.9.0" and python_version < "4"
ruff==0.7.1 ; python_full_version >= "3.9.0" and python_version < "4"
secretstorage==3.3.3 ; python_full_version >= "3.9.0" and python_version < "4.0" and sys_platform == "linux"
setuptools==68.2.2 ; python_full_version >= "3.9.0" and python_version < "4"
shellingham==1.5.4 ; python_full_version >= "3.9.0" and python_version < "4.0"
six==1.16.0 ; python_version >= "3.9" and python_version < "4"
sqlparse==0.4.4 ; python_full_version >= "3.9.0" and python_version < "4"
text-unidecode==1.3 ; python_full_version >= "3.9.0" and python_version < "4"
tldextract==3.6.0 ; python_full_version >= "3.9.0" and python_version < "4"
tomli==2.0.1 ; python_version >= "3.9" and python_full_version <= "3.11.0a6"
tomlkit==0.13.2 ; python_full_version >= "3.9.0" and python_version < "4.0"
tox==4.23.2 ; python_full_version >= "3.9.0" and python_version < "4"
trove-classifiers==2024.10.21.16 ; python_full_version >= "3.9.0" and python_version < "4.0"
types-python-dateutil==2.8.19.14 ; python_full_version >= "3.9.0" and python_version < "4"
types-pyyaml==6.0.12.20240311 ; python_full_version >= "3.9.0" and python_version < "4"
typing-extensions==4.12.2 ; python_version >= "3.9" and python_version < "4"
tzdata==2023.3 ; python_full_version >= "3.9.0" and python_version < "4" and sys_platform == "win32"
urllib3==2.0.6 ; python_full_version >= "3.9.0" and python_version < "4"
virtualenv==20.27.1 ; python_full_version >= "3.9.0" and python_version < "4"
watchdog==3.0.0 ; python_version >= "3.9" and python_version < "4"
xattr==1.1.0 ; python_full_version >= "3.9.0" and python_version < "4.0" and sys_platform == "darwin"
zipp==3.17.0 ; python_version >= "3.9" and python_version < "3.12"

=== debian/changelog ===
python-django-pgtrigger (4.13.3-1) unstable; urgency=medium

  * Team upload.
  * Update URLs to point to new upstream repository.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 10 Feb 2025 12:17:35 +0000

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
  python3-psycopg2,
  python3-pymdownx,
 Standards-Version: 4.7.0
-Homepage: https://github.com/Opus10/django-pgtrigger
+Homepage: https://github.com/AmbitionEng/django-pgtrigger
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-pgtrigger
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-pgtrigger.git
 Rules-Requires-Root: no
